Index: src/samples/java/quickstart/build.gradle
===================================================================
--- src/samples/java/quickstart/build.gradle	(revision 1708)
+++ src/samples/java/quickstart/build.gradle	(working copy)
@@ -2,6 +2,10 @@
 usePlugin 'java'
 // END SNIPPET use-plugin
 
+// START SNIPPET use-eclipse-plugin
+usePlugin 'eclipse'
+// END SNIPPET use-eclipse-plugin
+
 // START SNIPPET customisation
 sourceCompatibility = 1.5
 version = '1.0'
Index: src/docs/userguide/javaTutorial.xml
===================================================================
--- src/docs/userguide/javaTutorial.xml	(revision 1708)
+++ src/docs/userguide/javaTutorial.xml	(working copy)
@@ -91,8 +91,11 @@
         
 		<section>
             <title>Creating Eclipse project</title>
-            <para>
-                To import your project into Eclipse, simply run <userinput>gradle eclipse</userinput>. More on eclipse
+            <para>To import your project into Eclipse, you need to add another plugin to your build file:</para>
+        	<sample id="javaQuickstart" dir="java/quickstart" title="Eclipse plugin">
+            	<sourcefile file="build.gradle" snippet="use-eclipse-plugin"/>
+        	</sample>
+        	<para>Now execute <userinput>gradle eclipse</userinput> command to generate Eclipse project files. More on Eclipse
                 task can be found in <xref linkend="sec:eclipse"/>.
             </para>
         </section>
